netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
usockfd.h File Reference
`#include <atalk/cnid_bdb_private.h>`

Go to the source code of this file.

## Macros
#define | OSSH_ALIGNBYTES (sizeof(int) - 1)
#define | u_int unsigned int
#define | __CMSG_ALIGN(p)
#define | CMSG_LEN(len)
#define | CMSG_SPACE(len)

## Functions
int | usockfd_create (char *, mode_t, int)
int | tsockfd_create (char *, char *, int)
int | usockfd_check (int, const sigset_t *)

## Macro Definition Documentation

## ◆ __CMSG_ALIGN

#define __CMSG_ALIGN | ( |  | p | ) |

Value:
(((u_int)(p) + OSSH_ALIGNBYTES) &~ OSSH_ALIGNBYTES)
p
size_t p
Definition dircache.c:256
u_int
#define u_int
Definition usockfd.h:24
OSSH_ALIGNBYTES
#define OSSH_ALIGNBYTES
Definition usockfd.h:20

## ◆ CMSG_LEN

#define CMSG_LEN | ( |  | len | ) |

Value:
(__CMSG_ALIGN(sizeof(struct cmsghdr)) + (len))
__CMSG_ALIGN
#define __CMSG_ALIGN(p)
Definition usockfd.h:26

## ◆ CMSG_SPACE

#define CMSG_SPACE | ( |  | len | ) |

Value:
(__CMSG_ALIGN(sizeof(struct cmsghdr)) + __CMSG_ALIGN(len))

## ◆ OSSH_ALIGNBYTES

#define OSSH_ALIGNBYTES (sizeof(int) - 1)

## ◆ u_int

#define u_int unsigned int

## Function Documentation

## ◆ tsockfd_create()

int tsockfd_create | ( | char * | host,
|  | char * | port,
|  | int | backlog )

create a tcp socket

## ◆ usockfd_check()

int usockfd_check | ( | int | sockfd,
|  | const sigset_t * | sigset )

## ◆ usockfd_create()

int usockfd_create | ( | char * | ,
|  | mode_t | ,
|  | int | )